Last Comment Bug 719782 - Addon Customize Your Web causes zombie compartment
: Addon Customize Your Web causes zombie compartment
Status: RESOLVED FIXED
[MemShrink:P3]
:
Product: Core
Classification: Components
Component: General (show other bugs)
: 9 Branch
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: LeakyAddons ZombieCompartments
  Show dependency treegraph
 
Reported: 2012-01-20 06:42 PST by com.bugzilla
Modified: 2012-02-12 14:36 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
google_cyw.xml (2.57 KB, text/plain)
2012-01-20 06:42 PST, com.bugzilla
no flags Details
The results of about:memory (10.44 KB, text/plain)
2012-01-20 06:48 PST, com.bugzilla
no flags Details

Description com.bugzilla 2012-01-20 06:42:38 PST
Created attachment 590187 [details]
google_cyw.xml

User Agent: Mozilla/5.0 (Windows NT 6.1; rv:9.0.1) Gecko/20100101 Firefox/9.0.1
Build ID: 20111220165912

Steps to reproduce:

What steps will reproduce the problem?
1. open firefox
2. browse to about:memory
3. review the memory compartments
4. open a new tab within firefox and browse to www.google.com
5. again review the memory compartments
6. notice the google compartment?
7. now close the tab on which you opened www.google.com
8. refresh the memorypage a couple of times, the google compartment should be closed
9. now add the script from the attachment in cyw
10. make sure the script is active
11. now again op a new tab with www.google.com
12. review the memory and notice the google compartment
13. now again close the tab with www.google.com
14. refresh the memory page several times.
15. on my machine the google compartment remains open resulting in a so-called zombie compartment

The attachment contains a script which can be loaded in Customize Your Web. Just opening tab, browsing to www.google.com and closing a tab is enough to trigger the creation of the zombie compartment.

I have used Firefox 9.01 and CYW 0.4.3.3Build201201122030 on Windows 7 US-English



Actual results:

CYW (Customize Your Web) can create shortcut actions on webpages. Creating a shortcut action in CYW results in a zombie compartment.


Expected results:

The compartment should be gone
Comment 1 com.bugzilla 2012-01-20 06:48:14 PST
Created attachment 590189 [details]
The results of about:memory
Comment 2 Loic 2012-01-20 07:17:50 PST
Customize Your Web @ AMO:
https://addons.mozilla.org/en-US/firefox/addon/customize-your-web/
Comment 3 Justin Lebar (not reading bugmail) 2012-01-20 07:39:57 PST
> The development of CYW is currently suspended.

Again, a great candidate for a warning message on the AMO page.
Comment 4 Jorge Villalobos [:jorgev] 2012-02-08 16:15:43 PST
The add-on was updated in January, so I wouldn't call its development really suspended. I have contacted the developer.
Comment 5 rudolf.noe 2012-02-10 15:21:40 PST
Thank you for your investigations.
I've found the code part and changed it and uploaded a new version to amo.

Diffs of changed parts can be found here whereas the only interessing parts are in AbstractShortcutAction and ListviewAction
http://code.google.com/p/customizeyourweb/source/detail?r=105
Comment 6 Nicholas Nethercote [:njn] (on vacation until July 11) 2012-02-10 17:46:49 PST
Thanks for fixing, Rudolf.  The current version listed on AMO is 0.4.3.3Build201201122030, does that have the fix?  I notice that the add-on description starts with "Warning: This addon has a memory leak, thus increasing the memory consumption of Firefox over time!" -- thanks for your honesty, that's very considerate of your users.

If that is the updated version, if com.bugzilla@schutterhoef.nl can confirm that it fixes the problem that would be great.
Comment 7 Andreas Wagner [:TheOne] 2012-02-11 02:37:18 PST
I just reviewed and tested version 0.4.3.4Build201202102300. It closed the memory leak.
Comment 8 com.bugzilla 2012-02-12 14:36:40 PST
Just as a formality, I have also tested the issue and have found it to be resolved. Thanks Rudolf for fixing.

Note You need to log in before you can comment on or make changes to this bug.